package com.bcxin.ins.service.order;

import com.bcxin.ins.entity.common.ComBuyers;
import com.bcxin.ins.vo.DwzPage;
import com.bcxin.ins.vo.TopBuyersVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

public interface InsBuyersAPIService extends IService<ComBuyers> {

	public ComBuyers selectInsBuyersBySomeField(String name, String address, String country);

	public ComBuyers selectInsBuyersByCode(String code);
	/*--------------------------------API 接口业务操作方法-------------------------------------*/

	/**
	 * <b>填充 保单列表选择数据 </b>
	 */
	public Map<String,String> buildDataPolicyChange(String data, DwzPage page);

	/**
	 * <b>填充 买家列表选择数据 </b>
	 */
	public Map<String,String> buildDataBuyerList(String data, DwzPage page);

	/**
	 * <b>填充 买家插入数据填充到实体vo </b>
	 */
	public Map<String,Object> buildDataTopBuyer(String data);

	/**
	 * <b>填充 全球买家列表数据填充到实体vo </b>
	 */
	public Map<String,String> buildDataBuyList(String data, DwzPage page);

	
	/**
	 * <b>去除 该保单下除外的所有 全球买家实体vo </b>
	 */
	public List<TopBuyersVo> findListNotOid(TopBuyersVo topBuyersVo, DwzPage page);



	

}
